/*
 *  Module:   vector project
 *
 *  Library:  mathbase.a (project Riemann math routines)
 */

#include "master.h"

/*
 *   Function:	Projection
 *
 *   Purpose:	This function returns the projection of *pvctFirst onto the 
 *		plane of *pvctSecond.
 *
 *   Author:    Jim Lambers
 *
 */

void	Projection(pvctFirst, pvctSecond, pvctProj)
PVECTOR pvctFirst, pvctSecond, pvctProj;
{
    SCALAR 	sc;


    sc = VctDotVct(pvctFirst, pvctSecond) / VctDotVct(pvctSecond, pvctSecond);
    VctTimesSc(pvctSecond, sc, pvctProj);
}

